JUCE: MouseWheelDetails Struct Reference

JUCE

Public Attributes | List of all members
MouseWheelDetails Struct Referencefinal
juce_gui_basics » mouse

Contains status information about a mouse wheel event. More...

`#include <juce_MouseEvent.h>`

## Public Attributes
float | deltaX
| The amount that the wheel has been moved in the X axis. More...
float | deltaY
| The amount that the wheel has been moved in the Y axis. More...
bool | isReversed
| Indicates whether the user has reversed the direction of the wheel. More...
bool | isSmooth
| If true, then the wheel has continuous, un-stepped motion. More...
bool | isInertial
| If true, then this event is part of the inertial momentum phase that follows the wheel being released. More...

## Detailed Description

Contains status information about a mouse wheel event.

See also
  MouseListener, MouseEvent

## Member Data Documentation

## ◆ deltaX

float MouseWheelDetails::deltaX

The amount that the wheel has been moved in the X axis.

If isReversed is true, then a negative deltaX means that the wheel has been pushed physically to the left. If isReversed is false, then a negative deltaX means that the wheel has been pushed physically to the right.

## ◆ deltaY

float MouseWheelDetails::deltaY

The amount that the wheel has been moved in the Y axis.

If isReversed is true, then a negative deltaY means that the wheel has been pushed physically upwards. If isReversed is false, then a negative deltaY means that the wheel has been pushed physically downwards.

## ◆ isReversed

bool MouseWheelDetails::isReversed

Indicates whether the user has reversed the direction of the wheel.

See deltaX and deltaY for an explanation of the effects of this value.

## ◆ isSmooth

bool MouseWheelDetails::isSmooth

If true, then the wheel has continuous, un-stepped motion.

## ◆ isInertial

bool MouseWheelDetails::isInertial

If true, then this event is part of the inertial momentum phase that follows the wheel being released.

The documentation for this struct was generated from the following file:

- juce_MouseEvent.h